{% extends 'main.html' %} {% block contenido %}
<div class="container-fluid">
  <div class="row mt-2">
    <div class="col-2" style="align-items: center">
      <a href="../"
        ><button
          type="button"
          class="btn btn-outline-info"
          style="float: right"
        >
          <i class="fa fa-arrow-left" aria-hidden="true"></i></button
      ></a>
    </div>
    <div class="col-7">
      <div class="three">
        <h1>Contactos</h1>
      </div>
      <hr />
      {% if messages %} {% for message in messages %}
      <div
        class="alert alert-{{message.level_tag}} alert-dismissible fade show"
        role="alert"
      >
        {{message.message}}
        <button
          type="button"
          class="btn-close"
          data-bs-dismiss="alert"
          aria-label="Close"
        ></button>
      </div>
      {% endfor %} {% endif %}
    </div>
    <div class="col-2"></div>
  </div>
  <div class="row">
    <div class="col-2"></div>
    <div class="col-8">
      <button
        type="button"
        class="btn btn-primary"
        data-bs-toggle="modal"
        data-bs-target="#createContactModal"
        style="float: right"
        title="Añadir Contacto"
      >
        <i class="fa-solid fa-plus"></i> Añadir
      </button>
    </div>
    <div class="col-2"></div>
  </div>
  <div class="row">
    <div class="col-2"></div>
    <div class="col-8">
      <table class="table table-hover">
        <thead>
          <tr>
            <th scope="col">Cédula</th>
            <th scope="col">Nombres</th>
            <th scope="col">Apellidos</th>
            <th scope="col">Correo</th>
            <th scope="col">Celular</th>
            <th scope="col">Opciones</th>
          </tr>
        </thead>
        <tbody>
          {%for contact in allContacts%}
          <tr>
            <td><strong>{{contact.dni}}</strong></td>
            <td>{{contact.first_name}}</td>
            <td>{{contact.last_name}}</td>
            <td>{{contact.email}}</td>
            <td>{{contact.cellphone}}</td>
            <td>
              <i
                style="color: #0052cc"
                title="Editar Contacto"
                class="fa-solid fa-pencil pointer"
                data-bs-toggle="modal"
                data-bs-target="#editContactModal"
                onclick="setDataEditModal({dni: '{{contact.dni}}', 
                                            first_name: '{{contact.first_name}}', 
                                            last_name: '{{contact.last_name}}', 
                                            email: '{{contact.email}}',
                                            cellphone: '{{contact.cellphone}}'
                                          })"
              ></i>
              |
              <i
                style="color: #0052cc"
                title="Eliminar COntacto"
                class="fa-solid fa-xmark pointer"
                data-bs-toggle="modal"
                data-bs-target="#deleteContactModal"
                onclick="setFullNameDeleteModal('{{contact.first_name}}'+' '+ '{{contact.last_name}}', '{{contact.dni}}')"
              ></i>
            </td>
          </tr>
          {%endfor%}
        </tbody>
      </table>
    </div>
    <div class="col-2"></div>
  </div>
</div>

<!-- CREATE CONTACT MODAL -->
<div class="modal fade" id="createContactModal">
  <div class="modal-dialog">
    <div class="modal-content">
      <!-- Modal Header -->
      <div class="modal-header">
        <h4 class="modal-title">Nuevo Contacto</h4>
        <button
          type="button"
          class="btn-close"
          data-bs-dismiss="modal"
        ></button>
      </div>

      <!-- Modal body -->
      <div class="modal-body">
        <form action="../contact/save-contact" method="POST">
          {% csrf_token %}
          <div class="mb-3">
            <label for="exampleInputFirstName" class="form-label"
              >Nombres</label
            >
            <input
              type="text"
              class="form-control"
              id="first_name"
              name="first_name"
              aria-describedby="firstnameHelp"
              maxlength="30"
              minlength="2"
              required
            />
          </div>
          <div class="mb-3">
            <label for="exampleInputLastName" class="form-label"
              >Apellidos</label
            >
            <input
              type="text"
              class="form-control"
              id="last_name"
              name="last_name"
              aria-describedby="LastnameHelp"
              maxlength="30"
              minlength="2"
              required
            />
          </div>
          <div class="mb-3">
            <label for="exampleInputDniName" class="form-label">Cédula</label>
            <input
              type="text"
              class="form-control"
              id="dni"
              name="dni"
              aria-describedby="DninameHelp"
              maxlength="13"
              minlength="10"
              required
            />
          </div>
          <div class="mb-3">
            <label for="exampleInputCellphoneName" class="form-label"
              >Celular</label
            >
            <input
              type="text"
              class="form-control"
              id="cellphone"
              name="cellphone"
              aria-describedby="CellphonenameHelp"
              maxlength="10"
              minlength="10"
              required
            />
          </div>
          <div class="mb-3">
            <label for="exampleInputEmail1" class="form-label">Correo</label>
            <input
              type="email"
              class="form-control"
              id="email"
              name="email"
              aria-describedby="emailHelp"
              maxlength="30"
              minlength="2"
              required
            />
          </div>
          <div class="mb-3 center-elements">
            <button type="submit" class="btn btn-primary">Enviar</button>
          </div>
        </form>
      </div>

      <!-- Modal footer -->
      <div class="modal-footer">
        <button type="button" class="btn btn-danger" data-bs-dismiss="modal">
          Cerrar
        </button>
      </div>
    </div>
  </div>
</div>

<!-- EDIT CONTACT MODAL -->
<div class="modal fade" id="editContactModal">
  <div class="modal-dialog">
    <div class="modal-content">
      <!-- Modal Header -->
      <div class="modal-header">
        <h4 class="modal-title">Editar Contacto</h4>
        <button
          type="button"
          class="btn-close"
          data-bs-dismiss="modal"
        ></button>
      </div>

      <!-- Modal body -->
      <div class="modal-body">
        <form action="../contact/edit-contact" method="POST">
          {% csrf_token %}
          <div class="mb-3">
            <label for="exampleInputFirstName" class="form-label"
              >Nombres</label
            >
            <input
              type="text"
              class="form-control"
              id="first_name_edit"
              name="first_name"
              aria-describedby="firstnameHelp"
              maxlength="30"
              minlength="2"
              required
            />
          </div>
          <div class="mb-3">
            <label for="exampleInputLastName" class="form-label"
              >Apellidos</label
            >
            <input
              type="text"
              class="form-control"
              id="last_name_edit"
              name="last_name"
              aria-describedby="LastnameHelp"
              maxlength="30"
              minlength="2"
              required
            />
          </div>
          <div class="mb-3">
            <label for="exampleInputDniName" class="form-label">Cédula</label>
            <input
              type="text"
              class="form-control"
              id="dni_edit"
              name="dni"
              aria-describedby="DninameHelp"
              maxlength="13"
              minlength="10"
              required
            />
          </div>
          <div class="mb-3">
            <label for="exampleInputCellphoneName" class="form-label"
              >Celular</label
            >
            <input
              type="text"
              class="form-control"
              id="cellphone_edit"
              name="cellphone"
              aria-describedby="CellphonenameHelp"
              maxlength="10"
              minlength="10"
              required
            />
          </div>
          <div class="mb-3">
            <label for="exampleInputEmail1" class="form-label">Correo</label>
            <input
              type="email"
              class="form-control"
              id="email_edit"
              name="email"
              aria-describedby="emailHelp"
              maxlength="30"
              minlength="2"
              required
            />
          </div>
          <div class="mb-3 center-elements">
            <button type="submit" class="btn btn-primary">Enviar</button>
          </div>
        </form>
      </div>

      <!-- Modal footer -->
      <div class="modal-footer">
        <button type="button" class="btn btn-danger" data-bs-dismiss="modal">
          Cerrar
        </button>
      </div>
    </div>
  </div>
</div>

<!-- DELETE CONTACT MODAL -->
<div class="modal fade" id="deleteContactModal">
  <div class="modal-dialog">
    <div class="modal-content">
      <!-- Modal Header -->
      <div class="modal-header">
        <h4 class="modal-title">Eliminar Contacto</h4>
        <button
          type="button"
          class="btn-close"
          data-bs-dismiss="modal"
        ></button>
      </div>

      <!-- Modal body -->
      <div class="modal-body" style="text-align: justify">
        <p>
          Estas seguro de eliminar a <b id="fullNameDel"></b> con la cédula
          <b id="dniDel"></b>?
        </p>
        <div class="mb-3 center-elements">
          <button
            type="button"
            class="btn btn-danger"
            data-bs-dismiss="modal"
            style="margin-right: 3px"
          >
            Cancelar
          </button>
          <a id="link_to_delete">
            <button type="submit" class="btn btn-primary">Si</button></a
          >
        </div>
      </div>
    </div>
  </div>
</div>
<script>
  function setDataEditModal(dataModal) {
    let first_name = document
      .getElementById("first_name_edit")
      .setAttribute("value", dataModal.first_name);
    let last_name = document
      .getElementById("last_name_edit")
      .setAttribute("value", dataModal.last_name);
    let dni = document
      .getElementById("dni_edit")
      .setAttribute("value", dataModal.dni);
    let email = document
      .getElementById("email_edit")
      .setAttribute("value", dataModal.email);
    let cellphone = document
      .getElementById("cellphone_edit")
      .setAttribute("value", dataModal.cellphone);
  }

  function setFullNameDeleteModal(name, dni) {
    let fullNameDel = (document.getElementById("fullNameDel").innerHTML = name);
    let dniDel = (document.getElementById("dniDel").innerHTML = dni);
    let linktToDel = document.getElementById("link_to_delete");
    linktToDel.href = `delete-contact?dni=${dni}`;
  }
</script>

{% endblock %}
